Class | Sequel::SQL::JoinClause
In: | lib/sequel/sql.rb
Parent: | Expression

Represents an SQL JOIN clause, used for joining tables.

### Methods

new

### Attributes

join_type | [R] | The type of join to do
table | [R] | The actual table to join
table_alias | [R] | The table alias to use for the join, if any

### Public Class methods

new(join_type, table, table_alias = nil)

Create an object with the given join_type, table, and table alias

[Source]

         # File lib/sequel/sql.rb, line 630
    630:       def initialize(join_type, table, table_alias = nil)
    631:         @join_type, @table, @table_alias = join_type, table, table_alias
    632:       end

[Validate]